# menu_mark 3x 2024-12-28 ncurses 6.6 Library calls

    menu_mark(3x)                    Library calls                   menu_mark(3x)

## NAME

           set_menu_mark, menu_mark - get and set the menu mark string

## SYNOPSIS

           #include <menu.h>

           int set_menu_mark(MENU *menu, const char *mark);
           const char *menu_mark(const MENU *menu);

## DESCRIPTION

           In  order  to  make  menu selections visible on older terminals without
           highlighting or color capability, the menu library marks selected items
           in a menu with a prefix string.

           The function set_menu_mark sets the mark string  for  the  given  menu.
           Calling  set_menu_mark  with  a  null  menu  item will abolish the mark
           string.  Note that changing the length of the mark string  for  a  menu
           while the menu is posted is likely to produce unhelpful behavior.

           The  default string is "-" (a dash).  Calling set_menu_mark with a non-
           NULL menu argument will change this default.

           The function menu_mark returns the menu's mark string (or NULL if there
           is none).

## RETURN VALUE

           The function menu_mark returns a pointer (which may be NULL).  It  does
           not set errno.

           The function set_menu_mark may return the following error codes:

           E_OK The routine succeeded.

           E_BAD_ARGUMENT
                Routine detected an incorrect or out-of-range argument.

           E_SYSTEM_ERROR
                System error occurred (see errno(3)).

## PORTABILITY

           These  routines  emulate  the  System  V  menu  library.  They were not
           supported on Version 7 or BSD versions.

## AUTHORS

           Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric S.
           Raymond.

## SEE ALSO

           curses(3x), menu(3x)

    ncurses 6.6                       2024-12-28                     menu_mark(3x)